Ring Group Member Summary
๐ Looking for live/real-time queue, agent or call-level data? See Work Analytics โ Overview.
๐ Updated Endpoint
The Ring Group Member Summary and Ring Group Summary are dedicated endpoints to replace the previous Ring Group & Ring Group Member Summary endpoint which served both purposes
๐
Note: This API provides access to data from the past 2 years only in accordance with Analytics for Work data compliance policies; queries spanning more than 2 years will return only the most recent 2 years of data, and queries outside this range will return no results
๐ You will need a working API key to begin
You can generate API credentials from How to get API Keys
The
8x8-api-keywill be theKeygenerated. For Work Analytics the Secret from Admin Console is not required.
Use the following base URL during this process:
https://api.8x8.com/analytics/work
Run Ring Group Member Summaryโ
This will return a summary each member of each Ring Group in the specified PBXs for the duration specified.
๐ Ring Group Member Summary Reference
You can check out Ring Group Member Summary Reference but you won't be able to try it yet.
Parametersโ
Method: GET
Headersโ
| Name | Required | Description | Example |
|---|---|---|---|
| Authorization | โ | Pass the access_token returned from the authentication request as a Bearer token Bearer {access_token} | Bearer eyJhbGciOiJSUzI1NiJ9.yyyyyyyyy.zzzzzzzzzzzzzzzzzz |
Pathโ
| Name | Required | Description | Example |
|---|---|---|---|
| version | โ | The current version for ring group summary is v2 | v2 |
Queryโ
| Name | Required | Description | Example |
|---|---|---|---|
| pbxId | โ | Pass the pbxId (PBX Name) of the requested pbx or comma separated list of pbxIds or allpbxes for all of the pbxs in the customer account. PBX names can be found here in Admin Console | acmecorp,acmecorp2 |
| startTime | โ | The interval start time for CDR searches - the format is YYYY-MM-DD HH:MM:SS. | 2022-10-20 08:30:00 |
| endTime | โ | The interval end time for CDR searches - the format is YYYY-MM-DD HH:MM:SS. | 2022-10-20 19:00:00 |
| timeZone | โ | IANA Time Zones. Examples America/New_York, Europe/London Wikipedia Time Zone List | America/New_York |
| extId | โ | The extension number of the ring group. Only a single ring group extension can be specified. | 100169 |
| collapse | โ | This true or false value determines whether to collapse ring group member summaries into a single summary, even if the user information has changed during the date range selected; otherwise a distinct summary will be created for each distinct set of member data. Default is true | true |
Ring Group Member Summary Requestโ
As per the Open API specification guidelines, we have migrated the URLs for Ring Group Member Summary Report as give in the below table :
| Deprecated URL Version | Migrated URL (Current version) |
|---|---|
| v2/rgsum?extId={extId} | v2/rgsum-members?extId={extId} |
๐ Try out the Ring Group Member Summary
How does average talk time compare across users? Lets find out @ Ring Group Member Summary Reference
curl --location --request GET 'https://api.8x8.com/analytics/work/v{version}/rgsum-members?pbxId={pbxId here}&startTime=2022-01-03 00:00:00&endTime=2022-05-03 10:00:00&timeZone=America/New_York&extId={extId here}' \
--header 'Authorization: Bearer {access_token here}' \
--header '8x8-apikey: {8x8-apikey input here}'
Ring Group Member Summary Responseโ
For details on the company summary metrics please refer to Ring Group Member Summary Glossary
๐ Durations are in milliseconds
[
{
"pbxId": "acpmecorp",
"site": "West",
"firstName": "Marty",
"lastName": "McFly",
"ringGroupName": "Management",
"ringGroupExtension": "100169",
"extension": "100065",
"totalAnswered": 0,
"totalAdvanced": 5,
"totalTalkTime": 0,
"totalRingTime": 53821,
"totalCalls": 5,
"avgRingTime": 10764,
"avgTalkTime": 0,
"offered": 5
},
{
"pbxId": "acpmecorp",
"site": "West",
"firstName": "Jane",
"lastName": "Li",
"ringGroupName": "Managementz",
"ringGroupExtension": "100169",
"extension": "100066",
"totalAnswered": 2,
"totalAdvanced": 1,
"totalTalkTime": 148789,
"totalRingTime": 31380,
"totalCalls": 3,
"avgRingTime": 10460,
"avgTalkTime": 74394,
"offered": 3
}
]